%{?scl:%scl_package glassfish-jaxrpc-api}
%{!?scl:%global pkg_name %{name}}

%global baserelease 2

Name:          %{?scl_prefix}glassfish-jaxrpc-api
Version:       1.1.1
Release:       6.%{baserelease}%{?dist}
Summary:       The Java API for XML-Based RPC (JAX-RPC)
License:       CDDL or GPLv2 with exceptions
URL:           https://metro.java.net/
# svn export https://svn.java.net/svn/glassfish~svn/tags/javax.xml.rpc-api-1.1.1 glassfish-jaxrpc-api-1.1.1
# tar cJf glassfish-jaxrpc-api-1.1.1.tar.xz glassfish-jaxrpc-api-1.1.1
Source0:       %{pkg_name}-%{version}.tar.xz

BuildRequires: %{?scl_prefix_maven}maven-local
BuildRequires: %{?scl_prefix_maven}mvn(javax.servlet:javax.servlet-api)
BuildRequires: %{?scl_prefix_maven}mvn(net.java:jvnet-parent:pom:)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: %{?scl_prefix_maven}mvn(org.glassfish:legal)
BuildRequires: %{?scl_prefix_maven}mvn(org.glassfish.build:spec-version-maven-plugin)

BuildArch:     noarch

%description
Project GlassFish Enterprise JavaBean API.

Java APIs for XML based RPC 1.1 Design Specification.

%package javadoc
Summary:       Javadoc for %{pkg_name}

%description javadoc
This package contains javadoc for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{version}

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

%pom_change_dep :servlet-api :javax.servlet-api:3.1.0 . "<optional>true</optional>"

# fix build failure. 'useDefaultManifestFile' has been removed from the maven-jar-plugin >= 3.0.0
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration/pom:useDefaultManifestFile"
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration" '
<archive>
  <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>'

%mvn_file : %{pkg_name}
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x

%mvn_build

cp -p target/classes/META-INF/LICENSE.txt .
sed -i 's/\r//' LICENSE.txt
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 1.1.1-6.2
- Drop unneeded BR

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 1.1.1-6.1
- Auto SCL-ise package for rh-eclipse48 collection

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 22 2016 gil cattaneo <puntogil@libero.it> 1.1.1-3
- fix build failure

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 30 2015 gil cattaneo <puntogil@libero.it> 1.1.1-1
- initial rpm
